# Interface OGCOptions

interface OGCOptions {
activeDimensions: {};
attributes: Attribute[];
copyable: boolean;
dimensions: {};
dimensionsConfig: {};
dimensionsFiltersConfig: {};
filterCondition: string;
filterRules: default[];
filtrable: boolean;
id: number;
identifierAttribute: string;
inRange: boolean;
maxResolution: number;
minResolution: number;
name: string;
ogcAttributes: {};
ogcImageType: string;
ogcServerType: string;
ogcType: string;
queryIconPosition: number[];
snappable: boolean;
snappingToEdges: boolean;
snappingToVertice: boolean;
snappingTolerance: number;
timeAttributeName: string;
timeLowerValue: number;
timeProperty: TimeProperty;
timeUpperValue: number;
visible: boolean;
wfsFeatureNS: string;
wfsFeaturePrefix: string;
wfsLayers: WFSLayer[];
wfsOutputFormat: string;
wfsUrl: string;
wmsInfoFormat: string;
wmsIsSingleTile: boolean;
wmsLayers: WMSLayer[];
wmsUrl: string;
wmtsLayer: string;
wmtsUrl: string;
}

- Defined in src/datasource/OGC.js:113

#####
Index

### Properties

activeDimensions
attributes
copyable
dimensions
dimensionsConfig
dimensionsFiltersConfig
filterCondition
filterRules
filtrable
id
identifierAttribute
inRange
maxResolution
minResolution
name
ogcAttributes
ogcImageType
ogcServerType
ogcType
queryIconPosition
snappable
snappingToEdges
snappingToVertice
snappingTolerance
timeAttributeName
timeLowerValue
timeProperty
timeUpperValue
visible
wfsFeatureNS
wfsFeaturePrefix
wfsLayers
wfsOutputFormat
wfsUrl
wmsInfoFormat
wmsIsSingleTile
wmsLayers
wmsUrl
wmtsLayer
wmtsUrl

## Properties

### activeDimensions

activeDimensions: {}

The dimensions that are currently active on the data source.

#### Type declaration

- Defined in src/datasource/OGC.js:114

### attributes

attributes: Attribute[]

(DataSourceOptions)

- Defined in src/datasource/OGC.js:160

### copyable

copyable: boolean

Whether the geometry from this data source can be copied to other data sources or not. Defaults to `false`.

- Defined in src/datasource/OGC.js:115

### dimensions

dimensions: {}

A reference to the dimensions.

#### Type declaration

- Defined in src/datasource/OGC.js:117

### dimensionsConfig

dimensionsConfig: {}

The dimensions configuration, which determines those supported by this data source and whether they should use a static value or the one defined in the dimensions.

#### Type declaration

- Defined in src/datasource/OGC.js:118

### dimensionsFiltersConfig

dimensionsFiltersConfig: {}

(DataSourceOptions)

#### Type declaration

- Defined in src/datasource/OGC.js:161

### filterCondition

filterCondition: string

The filter condition to apply to the filter rules (if any). Defaults to `ngeo.filter.Condition.AND`.

- Defined in src/datasource/OGC.js:120

### filterRules

filterRules: default[]

A list of filter rules to apply to this data source using the filter condition.

- Defined in src/datasource/OGC.js:122

### filtrable

filtrable: boolean

Whether the data source is filtrable or not.

- Defined in src/datasource/OGC.js:124

### id

id: number

(DataSourceOptions)

- Defined in src/datasource/OGC.js:162

### identifierAttribute

identifierAttribute: string

(DataSourceOptions)

- Defined in src/datasource/OGC.js:163

### inRange

inRange: boolean

(DataSourceOptions)

- Defined in src/datasource/OGC.js:164

### maxResolution

maxResolution: number

(DataSourceOptions)

- Defined in src/datasource/OGC.js:166

### minResolution

minResolution: number

(DataSourceOptions)

- Defined in src/datasource/OGC.js:165

### name

name: string

(DataSourceOptions)

- Defined in src/datasource/OGC.js:167

### ogcAttributes

ogcAttributes: {}

The attributes of the OGC server.

#### Type declaration

- Defined in src/datasource/OGC.js:132

### ogcImageType

ogcImageType: string

The type of images to fetch by queries by the (WMS) or (WMTS).

- Defined in src/datasource/OGC.js:125

### ogcServerType

ogcServerType: string

The type of OGC server.

- Defined in src/datasource/OGC.js:130

### ogcType

ogcType: string

The type data source. Can be: 'WMS' or 'WMTS'.

- Defined in src/datasource/OGC.js:131

### queryIconPosition

queryIconPosition: number[]

values to define the shape (bbox) to use to query the layer. The values are used like a padding in css with 1, 2, 3 or 4 comma separated values: all / top-bottom, left-right / top, right-left, bottom / top, right, bottom, left.

- Defined in src/datasource/OGC.js:134

### snappable

snappable: boolean

Whether the geometry from this data source can be used to snap the geometry of features from other data sources that are being edited. Defaults to `false`.

- Defined in src/datasource/OGC.js:137

### snappingToEdges

snappingToEdges: boolean

Determines whether external features can be snapped to the edges of features from this data source or not. Defaults to `true`. Requires `snappable` to be set.

- Defined in src/datasource/OGC.js:139

### snappingToVertice

snappingToVertice: boolean

Determines whether external features can be snapped to the vertice of features from this data source or not. Defaults to `true`. Requires `snappable` to be set.

- Defined in src/datasource/OGC.js:141

### snappingTolerance

snappingTolerance: number

The tolerance in pixels the snapping should occur.

- Defined in src/datasource/OGC.js:143

### timeAttributeName

timeAttributeName: string

The name of the time attribute.

- Defined in src/datasource/OGC.js:144

### timeLowerValue

timeLowerValue: number

The time lower value, which can be combined with the time upper value to determine a range.

- Defined in src/datasource/OGC.js:145

### timeProperty

timeProperty: TimeProperty

The time property for the data source. Used to apply time filters.

- Defined in src/datasource/OGC.js:147

### timeUpperValue

timeUpperValue: number

The time upper value, which can be combined with the time lower value to determine a range.

- Defined in src/datasource/OGC.js:148

### visible

visible: boolean

(DataSourceOptions)

- Defined in src/datasource/OGC.js:168

### wfsFeatureNS

wfsFeatureNS: string

The feature namespace to use with WFS requests.

- Defined in src/datasource/OGC.js:150

### wfsFeaturePrefix

wfsFeaturePrefix: string

The feature prefix to use with WFS requests.

- Defined in src/datasource/OGC.js:151

### wfsLayers

wfsLayers: WFSLayer[]

A list of layer definitions that are used by WFS queries. These are not used by the (WMTS) queries (the wmtsLayers is used by WMTS queries).

- Defined in src/datasource/OGC.js:128

### wfsOutputFormat

wfsOutputFormat: string

The OutputFormat to use with WFS requests.

- Defined in src/datasource/OGC.js:152

### wfsUrl

wfsUrl: string

The URL to use for (WFS) requests.

- Defined in src/datasource/OGC.js:153

### wmsInfoFormat

wmsInfoFormat: string

The InfoFormat to use with WMS requests.

- Defined in src/datasource/OGC.js:154

### wmsIsSingleTile

wmsIsSingleTile: boolean

Whether the (WMS) images returned by this data source should be single tiles or not. Defaults to `false`

- Defined in src/datasource/OGC.js:155

### wmsLayers

wmsLayers: WMSLayer[]

A list of layer definitions that are used by WMS queries. These are not used by the (WMTS) queries (the wmtsLayers is used by WMTS queries).

- Defined in src/datasource/OGC.js:126

### wmsUrl

wmsUrl: string

The URL to use for (WMS) requests.

- Defined in src/datasource/OGC.js:157

### wmtsLayer

wmtsLayer: string

The layer name to use for the (WMTS) requests.

- Defined in src/datasource/OGC.js:158

### wmtsUrl

wmtsUrl: string

The URL to use for (WMTS) requests.

- Defined in src/datasource/OGC.js:159

Generated using TypeDoc